Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Testez facilement OpenJDK 7 sous Mac OS X
Grâce à un projet d'automatisation de la compilation de l'OpenJDK 7

Le , par Hikage

60PARTAGES

2  0 
Pour l'heure, si vous souhaitiez tester par vous même OpenJDK 7, l'implémentation OpenSource de Java 7, vous deviez compiler cette dernière vous même.
Si cela n'est pas impossible à faire, cela reste assez compliqué pour la plupart des gens.

J'ai le plaisirs de vous annoncer que Henri Gomez et moi même avons créé un projet qui a pour but d'automatiser cette tâche, et de fournir une version installable via un DMG/PKG.

Une fois installé, cette version de Java est correctement reconnue par les Préférences Java de Mac OS X :



N'hésitez pas à nous faire des retours et nous fournir des idées pour améliorer le packaging.

Open JDK 7 - 64 Bits
OpenJDK 7 - 32 Bits
Le site du projet

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de abriotde
Membre expérimenté https://www.developpez.com
Le 02/12/2010 à 10:12
Bravo, merci.
0  0 
Avatar de macchopes
Nouveau Candidat au Club https://www.developpez.com
Le 18/04/2014 à 13:16
Salut,
C'est super de développer des applis d'installation pour OpenJDK, car c'est pas facile pour un néophyte de compiler tout ça !
Mais, si je ne me trompe pas, ce que vous avez fait concerne uniquement les Mac à processeur INTEL or j'aurais besoin d'une telle version pour mon PowerPC G4 (biProc 1,25Ghz) car le logiciel TunnelBear Classic (TunnelBear-1.2.7.1) compatible PPC me demande une version 1.6 de J2SE, et je n'ai pu installer que la version 1.5 pour Osx Leopard 10.5.8 .
Auriez-vous fait, ou l'intention de faire, une version de votre installeur pour ce type de processeur (PowerPC G4 Risc) ?

Je vous remercie.

Macchopes
0  0 
Avatar de seblono
Futur Membre du Club https://www.developpez.com
Le 22/12/2014 à 21:59
Bonsoir,

J’apprécie votre initiative, j’installe et je vous redis.

Merci
0  0